<?php
/**
* 非オブジェクト例外
*
* PHP version 5
*
* @package    exceptions
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class NonObjectException extends CharcoalException
{
	public function __construct( $object = NULL, $expected = NULL )
	{
		$msg = "";
		if ( $object != NULL ){
			$msg .= " [object type]" . gettype($object);
		}
		if ( $expected != NULL ){
			$msg .= " [expected]$expected";
		}
		parent::__construct( $msg );
	}

}

